Bug 1071459 (CVE-2014-2238)

Summary: CVE-2014-2238 mantis: SQL injection vulnerability
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: extras-orphan, giallu, guillaume, jrusnack, sven
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20140228,reported=20140228,source=oss-security,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:P/A:N,fedora-all/mantis=affected,epel-5/mantis=notaffected,cwe=CWE-89
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-09-05 15:03:19 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 1071460    
Bug Blocks:    

Description Vincent Danen 2014-02-28 15:39:35 EST
It was reported [1],[2] that MantisBT suffers from an SQL injection vulnerability.  admin_config_report.php relied on unsanitized, inlined query parameters, enabling a malicious user to perform an SQL injection attack.  An administrative account is required to access this page, however.

This has been corrected in git [3]; it was introduced in version 1.2.13, so versions prior to that are unaffected; only 1.2.13 up to and including 1.2.16 are affected.


[1] http://www.mantisbt.org/bugs/view.php?id=17055
[2] http://seclists.org/oss-sec/2014/q1/456
[3] https://github.com/mantisbt/mantisbt/commit/a608f2d00a6eb0641605358cb683c176e671dc04
Comment 1 Vincent Danen 2014-02-28 15:41:12 EST
Created mantis tracking bugs for this issue:

Affects: fedora-all [bug 1071460]
Comment 2 Fedora Update System 2014-03-13 01:01:18 EDT
mantis-1.2.17-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2014-03-13 01:07:07 EDT
mantis-1.2.17-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.